curl -X GET https://api.linkedcamp.com/users/me \
-H "token: YOUR_API_TOKEN"
import requests
response = requests.get(
"https://api.linkedcamp.com/users/me",
headers={"token": "YOUR_API_TOKEN"},
)
print(response.json())
const response = await fetch("https://api.linkedcamp.com/users/me", {
headers: { "token": "YOUR_API_TOKEN" },
});
const data = await response.json();
console.log(data);
{
"success": true,
"message": "User found successfully!",
"user": {
"email": "user@example.com",
"fullName": "John Doe",
"apiKey": "abc123..."
},
"linkedAccount": {
"fullName": "John Doe",
"email": "john@linkedin.com",
"isValid": true,
"headline": "CEO at Acme Corp",
"profileLink": "https://www.linkedin.com/in/johndoe",
"isPaused": false
},
"emailAccounts": [
{
"fullName": "John Doe",
"email": "john@acme.com",
"isValid": true,
"isPaused": false,
"type": "GMAIL"
}
]
}
Users
Get Current User
Returns the currently authenticated user along with their linked LinkedIn and email accounts.
GET
/
users
/
me
curl -X GET https://api.linkedcamp.com/users/me \
-H "token: YOUR_API_TOKEN"
import requests
response = requests.get(
"https://api.linkedcamp.com/users/me",
headers={"token": "YOUR_API_TOKEN"},
)
print(response.json())
const response = await fetch("https://api.linkedcamp.com/users/me", {
headers: { "token": "YOUR_API_TOKEN" },
});
const data = await response.json();
console.log(data);
{
"success": true,
"message": "User found successfully!",
"user": {
"email": "user@example.com",
"fullName": "John Doe",
"apiKey": "abc123..."
},
"linkedAccount": {
"fullName": "John Doe",
"email": "john@linkedin.com",
"isValid": true,
"headline": "CEO at Acme Corp",
"profileLink": "https://www.linkedin.com/in/johndoe",
"isPaused": false
},
"emailAccounts": [
{
"fullName": "John Doe",
"email": "john@acme.com",
"isValid": true,
"isPaused": false,
"type": "GMAIL"
}
]
}
Headers
string
required
Your LinkedCamp API token.
Response
boolean
Whether the request was successful.
string
A human-readable result message.
object
object
The linked LinkedIn account details.
Show Linked Account Properties
Show Linked Account Properties
string
LinkedIn account full name.
string
LinkedIn account email.
boolean
Whether the LinkedIn account is valid.
string
LinkedIn headline.
string
LinkedIn profile URL.
string
Sales Navigator profile URL.
string
Recruiter profile URL.
string
LinkedIn profile URN.
string
Profile picture URL.
string
Reason if the account is invalid.
boolean
Whether the account is paused.
array
curl -X GET https://api.linkedcamp.com/users/me \
-H "token: YOUR_API_TOKEN"
import requests
response = requests.get(
"https://api.linkedcamp.com/users/me",
headers={"token": "YOUR_API_TOKEN"},
)
print(response.json())
const response = await fetch("https://api.linkedcamp.com/users/me", {
headers: { "token": "YOUR_API_TOKEN" },
});
const data = await response.json();
console.log(data);
{
"success": true,
"message": "User found successfully!",
"user": {
"email": "user@example.com",
"fullName": "John Doe",
"apiKey": "abc123..."
},
"linkedAccount": {
"fullName": "John Doe",
"email": "john@linkedin.com",
"isValid": true,
"headline": "CEO at Acme Corp",
"profileLink": "https://www.linkedin.com/in/johndoe",
"isPaused": false
},
"emailAccounts": [
{
"fullName": "John Doe",
"email": "john@acme.com",
"isValid": true,
"isPaused": false,
"type": "GMAIL"
}
]
}
⌘I
